QGIS Application - Bug report #3062
change in r.reclass & GRASS plugin location browser
2010-09-28 11:50 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 13122
Description

It seems that the r.reclass command has changed. Now it doesn't produce anymore a output map but just save a "reclass table"

http://grass.fok.eu/gdp/html_grass64/r.reclass.html

this means that the base map cannot be deleted with g.remove unless forcing the operation (-f).
In fact the GRASS shell will return something like
GRASS_INFO_WARNING(4733,1): [DTM@curso_manha] is a base map. Remove reclassed map first:

exposicao_reclass@curso_manha

when trying to delete a base map in the GRASS plugin browser, the warning is not caught and no message is given to the user.

History

#1 - 2010-11-16 09:04 AM - Maciej Sieczka -

Replying to lutra:

It seems that the r.reclass command has changed. Now it doesn't produce anymore a output map

but just save a "reclass table"

http.//grass.fbk.eu/gdp/html_grass64/r.reclass.html

Nothing has changed. It's been always this way.

this means that the base map cannot be deleted with g.remove unless forcing the operation (-f).

In fact the GRASS shell will return something like

> GRASS_INFO_WARNING(4733,1): [DTM@curso_manha] is a base map. Remove reclassed map first:

> exposicao_reclass@curso_manha

when trying to delete a base map in the GRASS plugin browser, the warning is not caught and no
message is given to the user.
But does it remove the base map?

#2 - 2011-03-06 12:17 AM - Paolo Cavallini

Please check and report back.

#3 - 2011-12-16 01:55 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2011-12-23 09:30 AM - Paolo Cavallini
- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Pull Request or Patch supplied set to No

- Assignee deleted (Lorenzo Masini)

#5 - 2012-04-16 06:24 AM - Paolo Cavallini
- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 12:02 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-06-20 03:33 AM - Giovanni Manghi

- Status changed from Open to Closed
- Resolution set to invalid
